## uwsgi 1.9.13

=== debian/changelog ===
uwsgi (1.9.13-4) unstable; urgency=low

  * Remove hardcoded phpapi-20100525 dependency. (Closes: #715472)
  * Build uwsgi-plugin-v8 and build depend on libv8-dev only on
    amd64 armel armhf i386 architectures. (Closes: #715473)
  * Remove apache2 and apache2-api-20120211 dependencies for
    libapache2-mod-proxy-uwsgi, libapache2-mod-uwsgi and
    libapache2-mod-ruwsgi. (Closes: #715485)
  * Add ${uwsgi:apache2:Depends} substvar to reference Apache2 API version.
  * Add ${uwsgi:php:Depends} substvar to reference PHP API version.
  * Add libphp5-embed as a dependency for uwsgi-plugin-php.

 -- Janos Guljas <janos@debian.org>  Wed, 10 Jul 2013 22:23:20 +0200

uwsgi (1.9.13-3) unstable; urgency=low

  * debian/uwsgi-core.install.
    - Include alarm_speech, coroae and pem plugins into the uwsgi-core
      package.

 -- Janos Guljas <janos@debian.org>  Tue, 09 Jul 2013 02:24:32 +0200

uwsgi (1.9.13-2) unstable; urgency=low

  * Move plugins from binary packges to uwsgi-core package as they have
    dependencies with priority set to required:
    - alarm_speech
    - coroae
    - pam

 -- Janos Guljas <janos@debian.org>  Tue, 09 Jul 2013 01:56:41 +0200

uwsgi (1.9.13-1) unstable; urgency=low

  * New upstream release.
  * Update dependencies to build with Apache 2.4. (Closes: #709468)
    - Remove apache2-threaded-dev.
    - Add apache2-dev (>> 2.4~).
    - Depend lbapache2-mod-proxy-uwsgi, ibapache2-mod-uwsgi and
       libapache2-mod-ruwsgi on apache2-api-20120211.
  * Update postinst and prerm scripts to use apache2-maintscript-helper.
  * Add debian/patches/emperor-pg-fix-cflags.patch.
    - Remove -Wformat-security flag to fix build error
  * debian/uwsgi-core.docs:
    - Remove uwsgi_API.txt.

 -- Janos Guljas <janos@debian.org>  Mon, 08 Jul 2013 14:06:14 +0200

uwsgi (1.9.11-1) unstable; urgency=low

  * New upstream release.
  * Upstream version does not contain minfied JavaScript files:
    - Drop dfsg sufix from version.
    - Remove get-orig-source target from debian/rules.
  * Update debian/copyright:
    - Remove references to removed files lib/rbtree.c, lib/rbtree.h and
      nginx/ngx_http_uwsgi_module.c.
    - Added copyrights for core/rb_timers.c and core/hash.c.
    - Updated copyright years.
  * debian/rules:
    - Change UWSGICONFIG_JVM_INCPATH to fix jvm plugin build.
  * Patch Python plugin to remove assignments to environment variable
    LD_RUN_PATH which leads to setting RPATH in compiled binary/shared library:
    python-plugin_remove_assignments_to_LD_RUN_PATH.patch.
  * debian/pathces/fix-php-ldflags.patch
    - Include php5-embed ld library path when building PHP plugin.
  * debian/patches/remove-php-libs.patch
    - Remove PHP libraries when building PHP plugin.
  * Update patches to apply cleanly:
    - fix-reload-process-name.patch
    - fix-php-ldflags.patch
    - 000000_02_remove_assignments_to_LD_RUN_PATH.patch
  * Remove no longer needed patches:
    - 110515_01_add_overriding_of_JVM_PATH_into_buildscript_of_jwsgi_plugin.patch
    - 000000_03_strip_versions_from_jQuery_scripts_links_in_uwsgicc_templates.patch
    - remove-pg_config_cflags-in-probepg.patch
  * Update lintian-overrides for jwsgi and jvm plugins.
  * New binary package uwsgi-emperor. (Closes: #660212)
  * New binary package uwsgi-plugin-php. (Closes: #699174)
    - New Build-Depends libphp5-embed, php5-dev, libonig-dev, libdb-dev,
      libqdbm-dev and libbz2-dev.
  * New binary package uwsgi-plugin-alarm-curl:
    - New Build-Depends libcurl4-openssl-dev.
    - Add alarm option to buildconf/uwsgi-core.ini.
    - Set pcre option to true in: buildconf/uwsgi-core.ini.
  * New binary package uwsgi-plugin-alarm-xmpp:
     - New Build-Depends libgloox-dev.
  * New binary package uwsgi-plugin-pam:
    - New Build-Depends libpam0g-dev.
  * New binary package uwsgi-plugin-router-access:
    - New Build-Depends libwrap0-dev.
    - Add routing option to buildconf/uwsgi-core.ini.
  * New binary package uwsgi-plugin-alarm-speech:
    - New Build-Depends libgnustep-base-dev and libgnustep-gui-dev.
    - Add debian/patches/alarm_speech-flags.patch
  * New binary package uwsgi-plugin-coroae:
    - New Build-Depends libcoro-perl.
  * New binary package uwsgi-plugin-geoip:
    - New Build-Depends libgeoip-dev.
  * New binary package uwsgi-plugin-v8:
    - New Build-Depends libv8-dev.
  * New binary package uwsgi-plugin-xslt:
    - New Build-Depends libxslt1-dev.
  * New binary packages libapache2-mod-proxy-uwsgi and
    libapache2-mod-proxy-uwsgi-dbg.
  * Add plugins to uwsgi-core package:
    - cheaper_backlog2
    - cheaper_busyness
    - clock_monothonic
    - clock_realtime
    - corerouter
    - emperor_amqp
    - logfile
    - notfound
    - rawrouter
    - redislog
    - router_basicauth
    - router_cache
    - router_http
    - router_memcached
    - router_redirect
    - router_rewrite
    - router_uwsgi
    - spooler
    - ssi
    - sslrouter
    - stats_pusher_statsd
    - transformation_gzip
    - transformation_tofile
    - transformation_toupper
    - zergpool
    - logfile
  * Move plugins from binary packges to uwsgi-core package as they do not have
    additional dependencies:
    - admin
    - cache
    - carbon
    - cgi
    - echo
    - emperor_zeromq
    - fastrouter
    - http
    - logsocket
    - nagios
    - ping
    - router_static
    - rpc
    - rrdtool
    - rsyslog
    - signal
    - symcall
    - syslog
    - ugreen
  * New plugins:
    - uwsgi-plugin-curl-cron
    - uwsgi-plugin-emperor-pg
    - uwsgi-plugin-ldap
    - uwsgi-plugin-sqlite3
    - uwsgi-plugin-systemd-logger
  * Remove no longer provided plugins:
    - uwsgi-plugin-probeconnect
    - uwsgi-plugin-probepg
  * Remove no longer provided packages:
    - python-uwsgicc
    - python-django-uwsgi-admin
  * Remove plugins which are moved to uwsgi-core package:
    - uwsgi-plugin-admin
    - uwsgi-plugin-cache
    - uwsgi-plugin-carbon
    - uwsgi-plugin-cgi
    - uwsgi-plugin-echo
    - uwsgi-plugin-emperor-zeromq

