=== debian/control ===
Source: uwsgi
Section: web
Priority: extra
Maintainer: Janos Guljas <janos@debian.org>
Build-Depends:
 cdbs,
 debhelper (>= 8),
 apache2-dev (>> 2.4~),
 erlang-dev,
 help2man,
 javahelper,
 libapr1-dev,
 libaprutil1-dev,
 libjansson-dev,
 libldap2-dev,
 liblua5.1-0-dev,
 libperl-dev,
 libpq-dev,
 libcurl4-openssl-dev,
 libgloox-dev,
 libpam0g-dev,
 libsqlite3-dev,
 libxml2-dev,
 libyaml-dev,
 libzmq-dev,
 libphp5-embed,
 php5-dev,
 libonig-dev,
 libdb-dev,
 libqdbm-dev,
 libbz2-dev,
 libwrap0-dev,
 libgnustep-gui-dev,
 libgnustep-base-dev,
 libcoro-perl,
 libgeoip-dev,
 libv8-dev [amd64 armel armhf i386],
 libxslt1-dev,
 pkg-config,
 python,
 python-all-dev,
 python-greenlet-dev [amd64 i386 mips powerpc s390],
 python3-all-dev,
 openjdk-6-jdk,
 openjdk-7-jdk,
 ruby1.8,
 ruby1.8-dev,
 ruby1.9.1,
 ruby1.9.1-dev,
 uuid-dev
Standards-Version: 3.9.4
Homepage: http://projects.unbit.it/uwsgi/
Vcs-Git: git://anonscm.debian.org/collab-maint/uwsgi.git
Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/uwsgi.git

Package: uwsgi
Architecture: any
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}, uwsgi-core (= ${binary:Version}),
 lsb-base, initscripts (>= 2.88dsf-13.3)
Recommends: sqlite3
Description: fast, self-healing application container server
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It uses the uwsgi protocol for all the networking/interprocess communications.
 .
 uWSGI can be run in preforking, threaded, asynchronous/evented modes and
 supports various forms of green threads/coroutines (such as uGreen, Greenlet,
 Fiber). uWSGI provides several methods of configuration: via command line,
 via environment variables, via XML, INI, YAML configuration files, via LDAP
 and more.
 .
 On top of all this, it is designed to be fully modular. This means that
 different plugins can be used in order to add compatibility with tons of
 different technology on top of the same core.
 .
 This package depends on uWSGI core binary and installs:
   * init.d script for running uWSGI daemon(s) with options defined in custom
     user-created configuration files
   * infrastructure for running daemons (like common locations of communication
     sockets, logs)

Package: uwsgi-dbg
Architecture: any
Section: debug
Depends: ${misc:Depends}, uwsgi-core (= ${binary:Version})
Suggests: uwsgi-plugins-all
Description: debugging symbols for uWSGI server and it's plugins
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 .
 This package contains the debug symbols for uWSGI core binary and plugins.
 Install this package if you need to debug such a program or if you need a
 useful backtrace of a crash.

Package: uwsgi-core
Architecture: any
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: nginx-full | cherokee | libapache2-mod-proxy-uwsgi | libapache2-mod-uwsgi | libapache2-mod-ruwsgi,
 uwsgi-plugins-all, uwsgi-extra
Replaces: wsgi-plugin-admin,
 uwsgi-plugin-cache,
 uwsgi-plugin-carbon,
 uwsgi-plugin-cgi,
 uwsgi-plugin-echo,
 uwsgi-plugin-emperor-zeromq,
 uwsgi-plugin-fastrouter,
 uwsgi-plugin-http,
 uwsgi-plugin-logsocket,
 uwsgi-plugin-nagios,
 uwsgi-plugin-ping,
 uwsgi-plugin-router-static,
 uwsgi-plugin-rpc,
 uwsgi-plugin-rrdtool,
 uwsgi-plugin-rsyslog,
 uwsgi-plugin-signal,
 uwsgi-plugin-symcall,
 uwsgi-plugin-syslog,
 uwsgi-plugin-ugreen
Conflicts: wsgi-plugin-admin,
 uwsgi-plugin-cache,
 uwsgi-plugin-carbon,
 uwsgi-plugin-cgi,
 uwsgi-plugin-echo,
 uwsgi-plugin-emperor-zeromq,
 uwsgi-plugin-fastrouter,
 uwsgi-plugin-http,
 uwsgi-plugin-logsocket,
 uwsgi-plugin-nagios,
 uwsgi-plugin-ping,
 uwsgi-plugin-router-static,
 uwsgi-plugin-rpc,
 uwsgi-plugin-rrdtool,
 uwsgi-plugin-rsyslog,
 uwsgi-plugin-signal,
 uwsgi-plugin-symcall,
 uwsgi-plugin-syslog,
 uwsgi-plugin-ugreen
Description: fast, self-healing application container server (core)
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It uses the uwsgi protocol for all the networking/interprocess communications.
 .
 uWSGI can be run in preforking, threaded, asynchronous/evented modes and
 supports various forms of green threads/coroutines (such as uGreen, Greenlet,
 Fiber). uWSGI provides several methods of configuration: via command line,
 via environment variables, via XML, INI, YAML configuration files, via LDAP
 and more.
 .
 On top of all this, it is designed to be fully modular. This means that
 different plugins can be used in order to add compatibility with tons of
 different technology on top of the same core.
 .
 This package provides:
   * executable uWSGI core binary (built without any embedded plugins)
   * uWSGI usage examples
   * uWSGI test suite
   * plugins that do not require additional dependencies:
    - admin
    - alarm_speech
    - cache
    - carbon
    - cgi
    - cheaper_backlog2
    - cheaper_busyness
    - clock_monothonic
    - clock_realtime
    - corerouter
    - coroae
    - echo
    - emperor_amqp
    - emperor_zeromq
    - fastrouter
    - http
    - logfile
    - logfile
    - logsocket
    - nagios
    - notfound
    - pam
    - ping
    - rawrouter
    - redislog
    - router_basicauth
    - router_cache
    - router_http
    - router_memcached
    - router_redirect
    - router_rewrite
    - router_static
    - router_uwsgi
    - rpc
    - rrdtool
    - rsyslog
    - signal
    - spooler
    - ssi
    - sslrouter
    - stats_pusher_statsd
    - symcall
    - syslog
    - transformation_gzip
    - transformation_tofile
    - transformation_toupper
    - ugreen
    - zergpool

Package: uwsgi-emperor
Architecture: any
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}, uwsgi-core (= ${binary:Version}),
 lsb-base, initscripts (>= 2.88dsf-13.3)
Description: fast, self-healing application container server (emperor scripts)
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It uses the uwsgi protocol for all the networking/interprocess communications.
 .
 uWSGI can be run in preforking, threaded, asynchronous/evented modes and
 supports various forms of green threads/coroutines (such as uGreen, Greenlet,
 Fiber). uWSGI provides several methods of configuration: via command line,
 via environment variables, via XML, INI, YAML configuration files, via LDAP
 and more.
 .
 On top of all this, it is designed to be fully modular. This means that
 different plugins can be used in order to add compatibility with tons of
 different technology on top of the same core.
 .
 This package depends on uWSGI core binary and installs:
   * init.d script for running uWSGI Emperor daemon with options defined in
     custom user-created configuration files
   * basic configuration for running uWSGI Emperor daemon

Package: uwsgi-plugins-all
Architecture: any
Depends: ${misc:Depends},
 uwsgi-infrastructure-plugins (= ${binary:Version}),
 uwsgi-app-integration-plugins (= ${binary:Version}),
 uwsgi-plugin-fiber (= ${binary:Version}),
 uwsgi-plugin-greenlet-python (= ${binary:Version})
   [amd64 i386 mips powerpc s390],
 uwsgi-plugin-php (= ${binary:Version}),
 uwsgi-plugin-pyerl-python (= ${binary:Version}),
 uwsgi-plugin-pyerl-python3 (= ${binary:Version})
Description: all available plugins for uWSGI
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It is designed to be fully modular. This means that different plugins can be
 used in order to add compatibility with tons of different technology on top of
 the same core.
 .
 This dependency package provides all available plugins for uWSGI:
   * infrastructure plugins (HTTP serving, RPC, etc.)
   * plugins for integration of uWSGI and application (PSGI, Rack, WSGI,
     etc.)
   * fiber loop engine, greenlet (Python), pyerl (Python/Python 3)

Package: uwsgi-infrastructure-plugins
Architecture: any
Depends: ${misc:Depends},
 uwsgi-plugin-alarm-curl (= ${binary:Version}),
 uwsgi-plugin-alarm-xmpp (= ${binary:Version}),
 uwsgi-plugin-curl-cron (= ${binary:Version}),
 uwsgi-plugin-emperor-pg (= ${binary:Version}),
 uwsgi-plugin-graylog2 (= ${binary:Version}),
 uwsgi-plugin-geoip (= ${binary:Version}),
 uwsgi-plugin-ldap (= ${binary:Version}),
 uwsgi-plugin-router-access (= ${binary:Version}),
 uwsgi-plugin-sqlite3 (= ${binary:Version}),
 uwsgi-plugin-xslt (= ${binary:Version})
Description: infrastructure plugins for uWSGI
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It is designed to be fully modular. This means that different plugins can be
 used in order to add compatibility with tons of different technology on top of
 the same core.
 .
 This dependency package provides infrastructure plugins for uWSGI:
   * alarm curl
   * alarm XMPP
   * curl cron
   * PostgreSQL emperor
   * graylog2
   * GeoIP
   * LDAP
   * router access
   * sqlite3
   * XSLT request

Package: uwsgi-app-integration-plugins
Architecture: any
Depends: ${misc:Depends},
 uwsgi-plugin-erlang (= ${binary:Version}),
 uwsgi-plugin-jvm-openjdk-6 (= ${binary:Version}),
 uwsgi-plugin-jvm-openjdk-7 (= ${binary:Version}),
 uwsgi-plugin-jwsgi-openjdk-6 (= ${binary:Version}),
 uwsgi-plugin-jwsgi-openjdk-7 (= ${binary:Version}),
 uwsgi-plugin-lua5.1 (= ${binary:Version}),
 uwsgi-plugin-php (= ${binary:Version}),
 uwsgi-plugin-psgi (= ${binary:Version}),
 uwsgi-plugin-python (= ${binary:Version}),
 uwsgi-plugin-python3 (= ${binary:Version}),
 uwsgi-plugin-rack-ruby1.8 (= ${binary:Version}),
 uwsgi-plugin-rack-ruby1.9.1 (= ${binary:Version}),
 uwsgi-plugin-v8 (= ${binary:Version}) [amd64 armel armhf i386]
Description: plugins for integration of uWSGI and application
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It is designed to be fully modular. This means that different plugins can be
 used in order to add compatibility with tons of different technology on top of
 the same core.
 .
 This dependency package provides plugins for integration of uWSGI and
 application:
   * Erlang
   * Java (OpenJDK 6 and 7)
   * JWSGI (OpenJDK 6 and 7)
   * Lua WSAPI (Lua 5.1)
   * PHP
   * Perl PSGI
   * Python WSGI (Python/Python 3)
   * Rack (Ruby 1.8/Ruby 1.9.1)
   * V8

Package: uwsgi-plugin-alarm-curl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, uwsgi-core (= ${binary:Version})
Description: Alarm curl plugin for uWSGI
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It is designed to be fully modular. This means that different plugins can be
 used in order to add compatibility with tons of different technology on top of
 the same core.
 .
 This package provides alarm_curl plugin for uWSGI.

Package: uwsgi-plugin-alarm-xmpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, uwsgi-core (= ${binary:Version})
Description: Alarm XMPP plugin for uWSGI
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It is designed to be fully modular. This means that different plugins can be
 used in order to add compatibility with tons of different technology on top of
 the same core.
 .
 This package provides alarm_xmpp plugin for uWSGI.

Package: uwsgi-plugin-curl-cron
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, uwsgi-core (= ${binary:Version})
Description: curl cron plugin for uWSGI
 uWSGI presents a complete stack for networked/clustered web applications,
