## uwsgi 1.9.17.1

=== Makefile ===
all:
	python uwsgiconfig.py --build

clean:
	python uwsgiconfig.py --clean

check:
	python uwsgiconfig.py --check
