=== debian/changelog ===
uwsgi (1.9.17.1-5build5) trusty; urgency=medium

  * No-change rebuild to drop Python 3.3 support.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Mar 2014 15:28:12 +0000

uwsgi (1.9.17.1-5build4) trusty; urgency=medium

  * Rebuild for Python 3.4.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 19 Feb 2014 20:55:38 +0100

uwsgi (1.9.17.1-5build3) trusty; urgency=medium

  * No change rebuild for phpapi-20121212+lfs (LFS ABI break on 32-bit
    arches).

 -- Robie Basak <robie.basak@ubuntu.com>  Wed, 19 Feb 2014 08:24:52 +0000

uwsgi (1.9.17.1-5build2) trusty; urgency=medium

  * Rebuild again, the previous build was still linked against old gloox
    on some archs.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 31 Jan 2014 20:23:50 +0400

uwsgi (1.9.17.1-5build1) trusty; urgency=medium

  * No-change rebuild for gloox transition (LP: #1273967).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 29 Jan 2014 22:50:19 +0400

uwsgi (1.9.17.1-5) unstable; urgency=low

  * Fix extend patch 1006 to avoid more IA64 clone() calls. Tidy DEP3
    patch header.
  * Fix extend patch 1007 to cover more linkage.
  * Unfuzz patch 2001.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 27 Sep 2013 01:53:54 +0200

uwsgi (1.9.17.1-4) unstable; urgency=low

  * Add patch 1006 to not use of clone() in emperor plugin on IA64, as
    workaround for FTBFS. Replaces previous unsuccesful patch 1006.
  * Add patch 1007 to fix linkage for GNU/Hurd and GNU/kFreeBSD.
  * Unfuzz patch 2001.
  * Stop needlessly build-depending explicitly on libbsd-dev.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 26 Sep 2013 22:11:34 +0200

uwsgi (1.9.17.1-3) unstable; urgency=low

  * Build-depend on libzm-dev as fallback for libzmq3-dev, to ease
    backporting.
  * Tighten uwsgi-plugin-php to depend on current or newer
    libphp5-embed: lack stable API/ABI.
    Tighten to depend on same libphp5-embed when building against older
    php5: SONAME always changed, so backports need rebuilding when php5
    is binNMU'ed.
  * Fix build-depend on libbsd-dev on KFreeBSD.
  * Add patch 1006 to include sched.h with GNU extensions, hopefully
    fixing FTBFS on IA64.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 26 Sep 2013 03:38:41 +0200

uwsgi (1.9.17.1-2) unstable; urgency=low

  * Add patches 4b60307 and b190744 cherry-picked from upstream VCS, to
    support KFreeBSD. Drop similar locally created patch 1006.
  * Unfuzz patches.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 25 Sep 2013 10:39:10 +0200

uwsgi (1.9.17.1-1) unstable; urgency=low

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Add patch 1006 to detect KFreeBSD.
  * Build-depend on libjail-dev and libkvm-dev on KFreeBSD.
  * Build-depend on libzmq3-dev (not libzmq-dev), and include KFreebsd
    (leaving out only Hurd).
  * Fix exclude building plugin emperor_zeromq on Hurd, and no longer
    exclude on KFreeBSD.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 25 Sep 2013 04:23:38 +0200

uwsgi (1.9.17-1) unstable; urgency=low

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Add patch 2001 to compile verbosely.
  * Fix adjust uwsgi-core buildconf to autodetect presence of libzmq.
  * Have apache2 modules only depend on api package when api is
    resolved, to ease backporting.
  * Update source paths for example files, and stop installing files now
    treated as tests.
  * Unfuzz patches.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 24 Sep 2013 06:10:50 +0200

uwsgi (1.9.16-2) unstable; urgency=low

  * Relax build-dependency on apache2-dev to be unversioned: Declared
    version satisfied by all releases ever made officially for Debian.
    Add apache2-threaded-dev as fallback, to ease backporting.
  * Tidy rules and control files:
    + Use CDBS_DEPENDS_* for binary package relations.
    + Resolve Python versions supported by this project (not all
      versions supported by target host - which is semantically
      different even though currently produces same result).
    + Drop unused variables PYTHON_MAJOR_VER and PYTHON3_MAJOR_VER.
    + Fix use unversioned Python binary when default version, to comply
      with Debian Python Policy §§ 1.4.1, 1.4.2.
    + Simplify Python module install, using CDBS python-module.mk.
    + Convert Python 2.x module to Python 3 during build (not install).
    + Simplify installation of plain files.
  * Fix Vcs-Browser URL.
    Closes: bug#723016. Thanks to Matthijs.
  * Update patches:
    + Merge together as patch 1001 the 2 patches that strips setting
      LD_RUN_PATH in LDFLAGS.
    + Prefix remaining patches with a number.
    + Add README in patch dir documenting numbering micro-policy.
    + Add patch 1006 to link dynamically against libperl.
  * Fix limit build-dependency on libzmq-dev to exclude the Hurd (in
    addition to kFreeBSD, but for different reason - libzmq-dev is not
    in itself Linux-specific).

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 18 Sep 2013 18:08:16 +0200

uwsgi (1.9.16-1) unstable; urgency=low

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Fix use packaging section httpd for libapache2-mod-uwsgi and
    libapache2-mod-ruwsgi.
  * Auto-resolve openjdk6-supported architectures.
  * Exclude build-dependency on libzmq-dev for kfreebsd-any, and avoid
    building module zeromq there.
  * Unfuzz patches.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 15 Sep 2013 12:43:52 +0200

uwsgi (1.9.15-1) experimental; urgency=low

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Auto-resolve V8- and greenlet-supported architectures.
    Relax arch-specific package relations:
    + For V8 include kfreebsd-* and mipsel.
    + For greenlet include all except ia64.
  * Update patches:
    + Drop patches applied upstream:
      - 000000_01_adjust_lua_plugin_buildscript.patch
      - alarm_speech-flags.patch
    + Drop patch no longer applying (one example script dropped
      upstream, another now treated as a test script):
      - 000000_04_strip_uwsgi_shebang_from_examples.patch

