=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: web
 Priority: extra
 Maintainer: Janos Guljas <janos@debian.org>
+Uploaders: Jonas Smedegaard <dr@jones.dk>
 Build-Depends:
  cdbs,
  debhelper (>= 8),
- apache2-dev (>> 2.4~),
+ apache2-dev | apache2-threaded-dev,
  erlang-dev,
  help2man,
  javahelper,
@@ -14,6 +15,7 @@
  libjansson-dev,
  libldap2-dev,
  liblua5.1-0-dev,
+ liblua5.2-dev,
  libperl-dev,
  libpq-dev,
  libcurl4-openssl-dev,
@@ -22,7 +24,7 @@
  libsqlite3-dev,
  libxml2-dev,
  libyaml-dev,
- libzmq-dev,
+ libzmq3-dev [!hurd-any] | libzmq-dev [!kfreebsd-any !hurd-any],
  libphp5-embed,
  php5-dev,
  libonig-dev,
@@ -34,24 +36,26 @@
  libgnustep-base-dev,
  libcoro-perl,
  libgeoip-dev,
- libv8-dev [amd64 armel armhf i386],
+ libv8-dev [amd64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mipsel],
  libxslt1-dev,
+ libcap-dev [linux-any],
+ libmatheval-dev,
+ libjail-dev [kfreebsd-any],
+ libkvm-dev [kfreebsd-any],
  pkg-config,
  python,
  python-all-dev,
- python-greenlet-dev [amd64 i386 mips powerpc s390],
+ python-greenlet-dev [amd64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 s390x sparc],
  python3-all-dev,
- openjdk-6-jdk,
- openjdk-7-jdk,
- ruby1.8,
- ruby1.8-dev,
+ openjdk-6-jdk [amd64 armel armhf i386 ia64 mips mipsel powerpc s390 s390x sparc],
+ openjdk-7-jdk [amd64 armel armhf i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc s390 s390x sparc],
  ruby1.9.1,
  ruby1.9.1-dev,
  uuid-dev
 Standards-Version: 3.9.4
 Homepage: http://projects.unbit.it/uwsgi/
 Vcs-Git: git://anonscm.debian.org/collab-maint/uwsgi.git
-Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/uwsgi.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/uwsgi.git
 
 Package: uwsgi
 Architecture: any
@@ -170,7 +174,7 @@
     - coroae
     - echo
     - emperor_amqp
-    - emperor_zeromq
+    - emperor_zeromq (on supported architectures)
     - fastrouter
     - http
     - logfile
@@ -236,9 +240,9 @@
 Depends: ${misc:Depends},
  uwsgi-infrastructure-plugins (= ${binary:Version}),
  uwsgi-app-integration-plugins (= ${binary:Version}),
+ uwsgi-plugin-rbthreads (= ${binary:Version}),
  uwsgi-plugin-fiber (= ${binary:Version}),
- uwsgi-plugin-greenlet-python (= ${binary:Version})
-   [amd64 i386 mips powerpc s390],
+ uwsgi-plugin-greenlet-python (= ${binary:Version}) [amd64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 s390x sparc],
  uwsgi-plugin-php (= ${binary:Version}),
  uwsgi-plugin-pyerl-python (= ${binary:Version}),
  uwsgi-plugin-pyerl-python3 (= ${binary:Version})
@@ -291,18 +295,18 @@
 Architecture: any
 Depends: ${misc:Depends},
  uwsgi-plugin-erlang (= ${binary:Version}),
- uwsgi-plugin-jvm-openjdk-6 (= ${binary:Version}),
- uwsgi-plugin-jvm-openjdk-7 (= ${binary:Version}),
- uwsgi-plugin-jwsgi-openjdk-6 (= ${binary:Version}),
- uwsgi-plugin-jwsgi-openjdk-7 (= ${binary:Version}),
+ uwsgi-plugin-jvm-openjdk-6 (= ${binary:Version}) [amd64 armel armhf i386 ia64 mips mipsel powerpc s390 s390x sparc],
+ uwsgi-plugin-jvm-openjdk-7 (= ${binary:Version}) [amd64 armel armhf i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc s390 s390x sparc],
+ uwsgi-plugin-jwsgi-openjdk-6 (= ${binary:Version}) [amd64 armel armhf i386 ia64 mips mipsel powerpc s390 s390x sparc],
+ uwsgi-plugin-jwsgi-openjdk-7 (= ${binary:Version}) [amd64 armel armhf i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc s390 s390x sparc],
  uwsgi-plugin-lua5.1 (= ${binary:Version}),
+ uwsgi-plugin-lua5.2 (= ${binary:Version}),
  uwsgi-plugin-php (= ${binary:Version}),
  uwsgi-plugin-psgi (= ${binary:Version}),
  uwsgi-plugin-python (= ${binary:Version}),
  uwsgi-plugin-python3 (= ${binary:Version}),
- uwsgi-plugin-rack-ruby1.8 (= ${binary:Version}),
  uwsgi-plugin-rack-ruby1.9.1 (= ${binary:Version}),
- uwsgi-plugin-v8 (= ${binary:Version}) [amd64 armel armhf i386]
+ uwsgi-plugin-v8 (= ${binary:Version}) [amd64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mipsel]
 Description: plugins for integration of uWSGI and application
  uWSGI presents a complete stack for networked/clustered web applications,
  implementing message/object passing, caching, RPC and process management.
@@ -315,11 +319,11 @@
    * Erlang
    * Java (OpenJDK 6 and 7)
    * JWSGI (OpenJDK 6 and 7)
-   * Lua WSAPI (Lua 5.1)
+   * Lua WSAPI (Lua 5.1 and 5.2)
    * PHP
    * Perl PSGI
    * Python WSGI (Python/Python 3)
-   * Rack (Ruby 1.8/Ruby 1.9.1)
+   * Rack (Ruby 1.9.1)
    * V8
 
 Package: uwsgi-plugin-alarm-curl
@@ -329,25 +333,3 @@
  uWSGI presents a complete stack for networked/clustered web applications,
  implementing message/object passing, caching, RPC and process management.
  It is designed to be fully modular. This means that different plugins can be
- used in order to add compatibility with tons of different technology on top of
- the same core.
- .
- This package provides alarm_curl plugin for uWSGI.
-
-Package: uwsgi-plugin-alarm-xmpp
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, uwsgi-core (= ${binary:Version})
-Description: Alarm XMPP plugin for uWSGI
- uWSGI presents a complete stack for networked/clustered web applications,
- implementing message/object passing, caching, RPC and process management.
- It is designed to be fully modular. This means that different plugins can be
- used in order to add compatibility with tons of different technology on top of
- the same core.
- .
- This package provides alarm_xmpp plugin for uWSGI.
-
-Package: uwsgi-plugin-curl-cron
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, uwsgi-core (= ${binary:Version})
-Description: curl cron plugin for uWSGI
- uWSGI presents a complete stack for networked/clustered web applications,
