=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,26 @@
 #!/usr/bin/make -f
 
+include /usr/share/cdbs/1/rules/upstream-tarball.mk
+include /usr/share/cdbs/1/class/python-module.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
+
+# resolve supported architectures for arch-varying build-dependencies
+# (in maintainer mode only: uses network and messes with control file)
+ifneq (,$(DEB_MAINTAINER_MODE))
+GREENLET_ARCHS := $(shell sh debian/pkgarchs.sh python-greenlet-dev)
+OPENJDK6_ARCHS := $(shell sh debian/pkgarchs.sh openjdk-6-jdk)
+OPENJDK7_ARCHS := $(shell sh debian/pkgarchs.sh openjdk-7-jdk)
+V8_ARCHS := $(shell sh debian/pkgarchs.sh libv8-dev)
+debian/control::
+	sed -i \
+		-e 's/@greenlet_archs@/$(GREENLET_ARCHS)/g' \
+		-e 's/@openjdk6_archs@/$(OPENJDK6_ARCHS)/g' \
+		-e 's/@openjdk7_archs@/$(OPENJDK7_ARCHS)/g' \
+		-e 's/@v8_archs@/$(V8_ARCHS)/g' \
+		debian/control
+endif
+
+DEB_UPSTREAM_URL = http://projects.unbit.it/downloads
 
 export LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)
 export CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
@@ -10,43 +30,32 @@
 # Common variables
 # ================
 
-PYTHON=/usr/bin/python
 APXS2=/usr/bin/apxs2
 APR_CONFIG=/usr/bin/apr-config
 APU_CONFIG=/usr/bin/apu-config
 UWSGI_BUILDER = $(CURDIR)/uwsgiconfig.py
 APACHE2_API = $(shell perl -ne 'print $$1 if m/our\s+\$$API\s+=\s+"(.*)"/' < $(shell which dh_apache2))
 PHP_API = $(shell php-config --phpapi)
+# TODO: Drop this (and its use) when php5-embed ABI is stable in oldstable
+PHP_VERSION := $(shell dpkg-query -W -f '$${Version}' php5-dev)
+# TODO: Drop this (and its use) when php5 5.5.0+dfsg-13 is in oldstable
+PHP_SONAME_ALWAYS_CHANGE := $(shell dpkg --compare-versions '$(PHP_VERSION)' '>=' 5.5.0+dfsg-13~ || echo true)
 
 DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
-# Dotted versions of Python runtimes (like 'X.Y').
-PYTHON_VERS_DOTTED=$(shell pyversions -vs)
-PYTHON_DEFAULT_DOTTED=$(shell pyversions -dv)
-PYTHON3_VERS_DOTTED=$(shell py3versions -vs)
-PYTHON3_DEFAULT_DOTTED=$(shell py3versions -dv)
-
 # Dotless versions of Python runtimes (like 'XY').
-PYTHON_VERS=$(subst .,,$(PYTHON_VERS_DOTTED))
-PYTHON_DEFAULT=$(subst .,,$(PYTHON_DEFAULT_DOTTED))
-PYTHON3_VERS=$(subst .,,$(PYTHON3_VERS_DOTTED))
-PYTHON3_DEFAULT=$(subst .,,$(PYTHON3_DEFAULT_DOTTED))
-
-PYTHON_MAJOR_VER := 2
-PYTHON3_MAJOR_VER := 3
-
-# Standard directories, where dh_pythonX helper looking for Python modules.
-# Note: path is provided in debhelper format (without leading slash).
-PYTHON_DIST_PACKAGES_DIR = usr/lib/python$(PYTHON_DEFAULT_DOTTED)/dist-packages
-PYTHON3_DIST_PACKAGES_DIR = usr/lib/python3/dist-packages
+PYTHON_VERS=$(subst .,,$(cdbs_python_supported_versions))
+PYTHON_DEFAULT=$(subst .,,$(cdbs_python_current_version))
+PYTHON3_VERS=$(subst .,,$(cdbs_python3_supported_versions))
+PYTHON3_DEFAULT=$(subst .,,$(cdbs_python3_current_version))
+
+# Python install path for dh_install, as expected by dh_pythonX helpers
+# * major and minor included for python 2.x, else only major
+# * leading slash emitted
+python_installdir = usr/lib/$(or $(cdbs_curpythonstem:%=python%),$(cdbs_curpythonpribinary))/dist-packages
 
 # Search in debian/control for packages with name $(1)% and extract % in list.
-list_pkgname_suffixes = $(strip \
-	$(shell \
-		grep "^Package: $(1)" $(CURDIR)/debian/control \
-		| sed 's/Package: $(1)//' \
-	) \
-)
+list_pkgname_suffixes = $(patsubst $(1)%,%,$(filter $(1)%,$(DEB_PACKAGES)))
 
 # Transform plugin's package name to plugin's name:
 # * delete dots
@@ -72,10 +81,10 @@
 	$(UWSGI_PLUGIN_PYTHON_PKG_KINDS) \
 	greenlet-python \
 	jvm-openjdk-6 jwsgi-openjdk-6 \
-	lua5.1 \
+	lua5.1 lua5.2 \
 	jvm-openjdk-7 jwsgi-openjdk-7 \
 	$(patsubst %,pyerl-%,$(UWSGI_PLUGIN_PYTHON_PKG_KINDS)) \
-	rack-ruby1.8 rack-ruby1.9.1 fiber
+	rack-ruby1.9.1 rbthreads fiber
 
 ORDINARILY_BUILT_UWSGI_PLUGIN_PKGS := $(filter-out \
 	$(PARTICULARLY_BUILT_UWSGI_PLUGIN_PKGS), $(UWSGI_PLUGIN_PKGS_NAMES))
@@ -117,13 +126,19 @@
 
 DEB_INSTALL_DOCS_ALL += $(DEB_SRCDIR)/CONTRIBUTORS
 
+DEB_DH_INSTALL_ARGS_python-uwsgidecorators = uwsgidecorators.py $(python_installdir)
+DEB_DH_INSTALL_ARGS_python3-uwsgidecorators = 2to3/uwsgidecorators.py $(python_installdir)
+
 DEB_DH_SHLIBDEPS_ARGS_uwsgi-plugin-php = -l/usr/lib/php5 -- --ignore-missing-info
 
-DEB_DH_GENCONTROL_ARGS_uwsgi-plugin-php = -- -Vuwsgi:php:Depends="phpapi-$(PHP_API)"
-
-DEB_DH_GENCONTROL_ARGS_libapache2-mod-proxy-uwsgi = -- -Vuwsgi:apache2:Depends="apache2-api-$(APACHE2_API)"
-DEB_DH_GENCONTROL_ARGS_libapache2-mod-uwsgi = -- -Vuwsgi:apache2:Depends="apache2-api-$(APACHE2_API)"
-DEB_DH_GENCONTROL_ARGS_libapache2-mod-ruwsgi = -- -Vuwsgi:apache2:Depends="apache2-api-$(APACHE2_API)"
+CDBS_DEPENDS_uwsgi-plugin-php = phpapi-$(PHP_API)
+CDBS_DEPENDS_uwsgi-plugin-php +=, $(if $(PHP_SONAME_ALWAYS_CHANGE),\
+	libphp5-embed (= $(PHP_VERSION)),\
+	libphp5-embed (>= $(PHP_VERSION)~))
+
+CDBS_DEPENDS_libapache2-mod-proxy-uwsgi = $(APACHE2_API:%=apache2-api-%)
+CDBS_DEPENDS_libapache2-mod-uwsgi = $(APACHE2_API:%=apache2-api-%)
+CDBS_DEPENDS_libapache2-mod-ruwsgi = $(APACHE2_API:%=apache2-api-%)
 
 # Rules
 # =====
@@ -137,6 +152,8 @@
 	for PYTHON_VERSION in $(PYTHON_VERS) $(PYTHON3_VERS); do \
 		$(RM) $(CURDIR)/uwsgi_python$${PYTHON_VERSION}; \
 	done
+	# converted Python modules
+	rm -rf 2to3
 	# intermediate compiled files
 	find $(CURDIR) \
 		\! -path '$(CURDIR)/debian/*' \( -name '*.o' -o -name '*.pyc' \) -type f \
@@ -173,7 +190,7 @@
 		for INSTANTIATED_TEMPLATE in $(call files_instantiated_in_debian_dir, \
 			uwsgi-plugin-, \
 			$(ORDINARILY_BUILT_UWSGI_PLUGIN_PKGS) \
-				lua5.1 rack-ruby1.8 rack-ruby1.9.1, \
+				lua5.1 lua5.2 rack-ruby1.9.1, \
 			.$${TEMPLATE_TYPE} \
 		); do \
 			if [ -f $(CURDIR)/debian/uwsgi-plugin.$${TEMPLATE_TYPE}.in ]; then \
@@ -194,35 +211,3 @@
 		$(RM) $(call files_instantiated_in_debian_dir, \
 			uwsgi-plugin-greenlet-, \
 			$(UWSGI_PLUGIN_PYTHON_PKG_KINDS), .$${TEMPLATE_TYPE} \
-		); \
-	done
-	for TEMPLATE_TYPE in links manpages; do \
-		$(RM) $(CURDIR)/debian/uwsgi-plugin-jvm-openjdk-6.$${TEMPLATE_TYPE}; \
-		$(RM) $(CURDIR)/debian/uwsgi-plugin-jvm-openjdk-7.$${TEMPLATE_TYPE}; \
-	done
-	# instantiated libapache2-mod-X templates
-	for TEMPLATE_TYPE in $(LIBAPACHE2_MOD_PKG_TEMPLATES); do \
-		$(RM) $(call files_instantiated_in_debian_dir, \
-			libapache2-mod-, $(LIBAPACHE2_MODS_NAMES), .$${TEMPLATE_TYPE} \
-		); \
-	done
-	$(RM) $(addprefix $(CURDIR)/debian/, \
-		$(foreach module_name, $(LIBAPACHE2_MODS_NAMES), \
-			$(addsuffix .load,  $(call libapache2mod_to_orig, $(module_name))) \
-	))
-	# generated manpages
-	$(RM) $(CURDIR)/debian/uwsgi-core.1
-	$(RM) $(call files_instantiated_in_debian_dir, \
-		uwsgi_, $(UWSGI_PLUGINS_NAMES), .1 \
-	)
-	$(RM) $(call files_instantiated_in_debian_dir, \
-		uwsgi_python, $(PYTHON_VERS) $(PYTHON3_VERS), .1 \
-	)
-	# stampfiles
-	$(RM) $(CURDIR)/debian/stamp-*
-	$(RM) $(CURDIR)/uwsgibuild.*
-
-# uwsgi package
-# -------------
-
-binary-post-install/uwsgi::
